<template>
    <div>
        <data-list :data="data" :loading="loading" />
    </div>
</template>

<script>
import DataList from "@/admin/components/data-list";
import {
    fetchVersion,
    fetchInfos,
    fetchServer,
    fetchVisitors
} from "@/admin/services/data-service";

export default {
    name: "Dashboard",
    components: {
        DataList
    },
    data: () => ({
        data: [],
        loading: true
    }),
    created() {
        this.getData();
    },
    methods: {
        async getData() {
            this.data = [];
            this.loading = true;

            try {
                const version = await fetchVersion();
                const infos = await fetchInfos();
                const server = await fetchServer();
                const visitors = await fetchVisitors();

                this.loading = false;
                this.data.push(version.data);
                this.data.push(infos.data);
                this.data.push(server.data);
                this.data.push(visitors.data);
            } catch (e) {
                this.loading = false;
            }
        }
    }
};
</script>

<style>
</style>